Name:                simple
Version:             6.0.1
Release:             1
Summary:             Asynchronous HTTP server for Java
License:             ASL 2.0 and LGPLv2+
URL:                 http://www.simpleframework.org/
Source0:             http://sourceforge.net/projects/simpleweb/files/simpleweb/%{version}/simple-%{version}.tar.gz
Source1:             http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:           noarch
%description
Simple is a high performance asynchronous HTTP server for Java.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -delete
for p in common http transport; do
%pom_remove_plugin :maven-source-plugin %{name}-${p}
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" %{name}-${p}
%pom_xpath_remove "pom:build/pom:extensions" %{name}-${p}
%pom_xpath_set "pom:packaging" bundle %{name}-${p}
%pom_add_plugin org.apache.felix:maven-bundle-plugin %{name}-${p} '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'
done
rm -r simple-common/src/test/java/org/simpleframework/common/lease/ContractQueueTest.java
cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Tue Aug 4 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 6.0.1-1
- Package init
